#ifndef GLOBDATA_CPP
#define GLOBDATA_CPP

#include "base.cpp"
#include "names.cpp"
#include "rdata.cpp"
#include "labels.cpp"

Names* names[rec_t_cnt];
RData* rdata[rec_t_cnt];
Labels* labels[rec_t_cnt];

void init_glob() {
	for (int i=0;i<rec_t_cnt;i++) {
		names[i]=new Names(rec_count[i]);
		rdata[i]=new RData(rec_count[i],length(format[i]));
		labels[i]=new Labels(rec_count[i]);
	}
}

void deinit_glob() {
	for (int i=0;i<rec_t_cnt;i++) {
		delete names[i];
		delete rdata[i];
		delete labels[i];
	}
}

#endif