#ifndef RDATA_CPP
#define RDATA_CPP

#include "basedef.h"
#include "error.h"
#include "base.cpp"
#include "dataport.cpp"
#include <iostream.h>

class RData {
	byte* binstr;
	const int rec_cnt;
	const int rec_len;
//	byte* add_pos;
	public:
		RData(int r_c,int r_l) : rec_cnt(r_c),rec_len(r_l),binstr(new byte[r_c*r_l]) {}
		int load_bin(int fhand,long ofs);
		int store_bin(int fhand,long ofs);
		data_port request_port(int rec_num) {return data_port(binstr+rec_num*rec_len);}
//		void add_rdata(byte* data); // copies new data to the end of binstr.
//		byte* get_rdata(int num) {return binstr+num*rec_len;}
		~RData() {delete binstr;}
};

int RData::load_bin(int fhand,long ofs) {
	fseek(fhand,ofs);
	if (fread(fhand,binstr,rec_len*rec_cnt)) return LOAD_BIN_FAILED;
	return NO_ERROR;
}

int RData::store_bin(int fhand,long ofs) {
	if (fseek(fhand,ofs)) return 1;
	int len=rec_len*rec_cnt;
	if (len!=0)	return fwrite(fhand,binstr,rec_len*rec_cnt);
	return 0;
}

/*void RData::add_rdata(byte* data) {
	memcpy(add_pos,data,rec_len);
	add_pos+=rec_len;
} */

#endif